Package org.apache.sling.testing.junit.rules.instance.util

## Enum Options

- java.lang.Object
- - java.lang.Enum<Options>
  - - org.apache.sling.testing.junit.rules.instance.util.Options

All Implemented Interfaces:
  `Serializable`, `Comparable<Options>`

    public enum Options
    extends Enum<Options>

### Enum Constant Summary

Enum Constants
`INSTALLATIONS`
`JAR`
`JVM_ARGUMENTS`
`QUICKSTART_OPTIONS`
`START_TIMEOUT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`File` `asFile()`
`Integer` `asInteger​(int defaultValue)`
`List<String>` `asList()`
`String` `asPath()`
`String` `asString()`
`String` `getName()`
`boolean` `isNotSpecified()`
`boolean` `isSpecified()`
`static Options` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Options[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JAR

    public static final Options JAR

#### JVM_ARGUMENTS

    public static final Options JVM_ARGUMENTS

#### QUICKSTART_OPTIONS

    public static final Options QUICKSTART_OPTIONS

#### INSTALLATIONS

    public static final Options INSTALLATIONS

#### START_TIMEOUT

    public static final Options START_TIMEOUT

### Method Detail

#### values

    public static Options[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Options c : Options.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Options valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

#### isSpecified

    public boolean isSpecified()

#### isNotSpecified

    public boolean isNotSpecified()

#### asString

    public String asString()

#### asPath

    public String asPath()

#### asFile

    public File asFile()

#### asList

    public List<String> asList()

#### asInteger

    public Integer asInteger​(int defaultValue)